Bug 1403930 - dnf repoquery -f with multiple files doesn't seem to work
Summary: dnf repoquery -f with multiple files doesn't seem to work
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf   
(Show other bugs)
Version: rawhide
Hardware: Unspecified Unspecified
medium
unspecified
Target Milestone: ---
Assignee: rpm-software-management
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-12 16:15 UTC by Zbigniew Jędrzejewski-Szmek
Modified: 2017-02-10 16:03 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-10 16:03:03 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Zbigniew Jędrzejewski-Szmek 2016-12-12 16:15:39 UTC
Description of problem:
When querying multiple files (for example to check if any file in a list of files conflicts with a different package), dnf repoquery doesn't seem to provide a way to query multiple files at once. Doing it one-by-one is obviously rather slow.

Version-Release number of selected component (if applicable):
dnf-2.0.0-0.rc2.3.fc26.noarch

Actual results:
$ dnf repoquery -f /usr/bin/test /usr/bin/convert
(nada)

Expected results:
$ dnf repoquery -f /usr/bin/test /usr/bin/convert
coreutils-...
ImageMagick-...

Comment 1 Honza Silhan 2016-12-19 12:19:57 UTC
FTR yum repoquery behaves as expected result in this report. We should fix it in DNF repoquery. For now you can use "dnf repoquery -f /usr/bin/test -f /usr/bin/convert" work around.

Comment 2 Jaroslav Mracek 2016-12-20 14:50:11 UTC
Created a pull-request that should solve the issue: https://github.com/rpm-software-management/dnf/pull/692

Comment 3 Jaroslav Mracek 2017-02-10 16:03:03 UTC
Bug fixed in version of dnf-2.0.1-1.


Note You need to log in before you can comment on or make changes to this bug.